package cn.sh.stc.sict.theme.hphy.controller.mp;

import cn.sh.stc.sict.cloud.common.core.util.R;
import cn.sh.stc.sict.theme.hphy.wd.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

/**
 * @author F_xh
 */
@Slf4j
@RestController
@AllArgsConstructor
@RequestMapping("/c/appointment")
@Api(tags = "[C]预约挂号管理")
public class AppointmentController {

    @ApiOperation("预约须知")
    @GetMapping("/app/rule")
    public R getAppRule(HosInfo hosInfo){
        HospitalCfg cfg = WanDaHttpUtil.getHospitalCfg(hosInfo);
        return new R(cfg);
    }

    @ApiOperation("预约")
    @PostMapping("/app")
    public R appointment(@RequestBody OrderInfo orderInfo){

        AppResult result = WanDaHttpUtil.submitOrderByUserInfo(orderInfo);

        //  TODO 调用service存入mysql

        return new R();
    }


    @ApiOperation("取消预约")
    @PostMapping("/cancel/app")
    public R cancelAppointment(@RequestBody CancelOrderInfo orderInfo){

        boolean flag = WanDaHttpUtil.orderCancelInfo(orderInfo);

        //  TODO 调用service存入mysql

        return new R();
    }


    @ApiOperation("预约列表")
    @GetMapping("/app/list")
    public R appList(){

        return new R();
    }

    @ApiOperation("预约详情")
    @GetMapping("/app/info")
    public R appInfo(){

        return new R();
    }
}
